Subject: Offline Message from Zaid: TOP URGENT, UPSET CUSTOMER Good day, This is in
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 24 Jun 2020 10:48:22 -0000

From: Zaid <[email-masked]>
Phone: 
Location: Dammam, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/
Department: 

TOP URGENT, UPSET CUSTOMER

Good day, 

This is in regards to my Order # 100126539 on 31st March 2020 ( almost 3 months completed ), There is one parcel from this shipment that has yet to be received, 

I have complained for the last 2 months and a tracking number was provided for Barq express with AWB # 7842723555 . Upon following up with them they have informed that only the AWB was created in system and no parcel was received by their delegate?? This is really unprofessional. There after beginning I chatted with your customer REP Alvin and he promised that the missing item will ship ASAP and nothing happened since then. This was supposed to a Eid present for my 2 year old. At least some one needs to be courteous and see why the parcel has not delivered after almost 3 months? I have sent multiple emails, and chatted various times with no update either.

This is extremely poor from Mumzworld and i am not sure i want to recommend you further to family and friends which i have done a lot over the past few years.

Please have my materials delivered in a week or refund my money ASAP, and no i do not want a gift card replacement, i want my money back.

Cold Regards,

Zaid

----
Zopim
https://www.zopim.com